[SCM] debian-live/live-helper branch, master, updated. 1.0_a44-1-41-g64b7d8c

Tiago Bortoletto Vaz tiago at debian-ba.org
Mon Apr 28 05:48:30 UTC 2008


The following commit has been merged in the master branch:
commit 64b7d8cb867af2333b92cddcc74c217e315c0c55
Author: Tiago Bortoletto Vaz <tiago at debian-ba.org>
Date:   Sun Apr 27 19:16:39 2008 -0300

    Support list of items for conditionals in package lists
    
    This patch allows giving a list of items for the conditionals in package
    lists. For example, it's possible to specify some packages for more than one
    architecture in the same conditional block:
    
     package01
     #if ARCHITECTURE i386 amd64
     package02
     package03
     #endif
     package04
    
    where package01 and package04 are available for all architectures, but
    package02 and package03 are available only for i386 and amd64 architectures.

diff --git a/functions/packageslists.sh b/functions/packageslists.sh
index 5f05a4b..733e8f2 100755
--- a/functions/packageslists.sh
+++ b/functions/packageslists.sh
@@ -49,9 +49,10 @@ Expand_packagelist ()
 
 					_LH_NESTED=1
 					_LH_VAR="$(echo "${_LH_LINE}" | cut -d' ' -f2)"
-					_LH_VAL="$(echo "${_LH_LINE}" | cut -d' ' -f3)"
+					_LH_VAL="$(echo "${_LH_LINE}" | cut -d' ' -f3-)"
+					_LH_MATCH="$(echo ${_LH_VAL} |grep "\(^\| \)$(eval "echo \$LH_${_LH_VAR}")\($\| \)")" || true
 
-					if [ -n "${_LH_VAR}" ] && [ "$(eval "echo \$LH_${_LH_VAR}")" != "${_LH_VAL}" ]
+					if [ -n "${_LH_VAR}" ] &&  [ -z "${_LH_MATCH}" ]
 					then
 						_LH_ENABLED=0
 					fi

-- 
debian-live/live-helper



More information about the debian-live-changes mailing list